<?php

namespace Drp\UserManagement\Http\Controllers\Admin;

use Drp\UserManagement\Contracts\ManagedUser;
use Illuminate\Routing\Controller;

/**
 * Class ApproveUsersController
 * @package App\Http\Controllers\Admin
 */
class ApproveUsersController extends Controller
{
    /**
     * Display a listing of the users awaiting approval.
     *
     * @param ManagedUser $user
     * @return \Illuminate\Http\Response
     */
    public function index(ManagedUser $user)
    {
        $awaitingApproval = $user->allAwaitingApproval();
        return view('userManagement::users.awaiting', compact('awaitingApproval'));
    }

    /**
     * Approve the given user
     *
     * @param ManagedUser $user
     * @return \Illuminate\Http\RedirectResponse
     */
    public function update(ManagedUser $user)
    {
        $user->approve();
        flash()->success(trans('userManagement::users.approved'));
        return redirect()->back();
    }
}
